<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.mapper.dsno1.corp.ElectronicFenceMapper">

	<!--表名 -->
	<sql id="tableName">
        electronic_fence
    </sql>

	<!--数据字典表名 -->
	<sql id="dicTableName">
        SYS_DICTIONARIES
    </sql>

	<!-- 字段 -->
	<sql id="Field">
        f.ELECTRONIC_FENCE_AREA_ID,
        f.ELECTRONIC_FENCE_AREA_NAME,
        f.ELECTRONIC_FENCE_ID,
		f.ELECTRONIC_FENCE_NAME,
		f.HEADMAN,
		f.TEL,
		f.BZ,
		f.PARENT_ID,
		f.CORPINFO_ID,
		f.ISDELETE,
		f.OPERATOR,
		f.OPERATTIME,
		f.CREATTIME,
		f.CREATOR
    </sql>

	<!-- 字段用于新增 -->
	<sql id="Field2">
        ELECTRONIC_FENCE_AREA_ID,
        ELECTRONIC_FENCE_ID,
		ELECTRONIC_FENCE_AREA_NAME,
		ELECTRONIC_FENCE_NAME,
        HEADMAN,
		TEL,
		BZ,
		PARENT_ID,
		CORPINFO_ID,
		ISDELETE,
		OPERATOR,
		OPERATTIME,
		CREATTIME,
		CREATOR
    </sql>

	<!-- 字段值 -->
	<sql id="FieldValue">
        #{ELECTRONIC_FENCE_AREA_ID},
        #{ELECTRONIC_FENCE_ID},
		#{ELECTRONIC_FENCE_AREA_NAME},
		#{ELECTRONIC_FENCE_NAME},
        #{HEADMAN},
        #{TEL},
        #{BZ},
		#{PARENT_ID},
		#{CORPINFO_ID},
		#{ISDELETE},
		#{OPERATOR},
		#{OPERATTIME},
		#{CREATTIME},
		#{CREATOR}
    </sql>

	<!-- 新增-->
	<insert id="save" parameterType="pd">
		insert into
	<include refid="tableName"></include>
		(
	<include refid="Field2"></include>
		) values (
	<include refid="FieldValue"></include>
		)
	</insert>

</mapper>
